JsonParserConstants (Grails 3.1.1)
Date: 2016-02-04

Package: org.grails.web.json.parser

## [Java] Interface JsonParserConstants

- Token literal values and constants. Generated by org.javacc.parser.OtherFilesGen#start()

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `int` | `CHAR` | RegularExpression Id.
    `int` | `CNTRL_ESC` | RegularExpression Id.
    `int` | `DEFAULT` | Lexical state.
    `int` | `DIGITS` | RegularExpression Id.
    `int` | `DOUBLE_QUOTE_LITERAL` | RegularExpression Id.
    `int` | `E` | RegularExpression Id.
    `int` | `ENDQUOTE` | RegularExpression Id.
    `int` | `EOF` | End of File.
    `int` | `ESCAPE_CHAR` | RegularExpression Id.
    `int` | `ESC_STATE` | Lexical state.
    `int` | `HEX` | RegularExpression Id.
    `int` | `HEX_CHAR` | RegularExpression Id.
    `int` | `HEX_ESC` | RegularExpression Id.
    `int` | `HEX_STATE` | Lexical state.
    `int` | `QUOTE` | RegularExpression Id.
    `int` | `SINGLE_QUOTE_LITERAL` | RegularExpression Id.
    `int` | `STRING_STATE` | Lexical state.
    `int` | `UNICODE_CHAR` | RegularExpression Id.
    `java.lang.String[]` | `tokenImage` | Literal token values.

- - ### Field Detail

    - #### public int CHAR

      RegularExpression Id.

    - #### public int CNTRL_ESC

      RegularExpression Id.

    - #### public int DEFAULT

      Lexical state.

    - #### public int DIGITS

      RegularExpression Id.

    - #### public int DOUBLE_QUOTE_LITERAL

      RegularExpression Id.

    - #### public int E

      RegularExpression Id.

    - #### public int ENDQUOTE

      RegularExpression Id.

    - #### public int EOF

      End of File.

    - #### public int ESCAPE_CHAR

      RegularExpression Id.

    - #### public int ESC_STATE

      Lexical state.

    - #### public int HEX

      RegularExpression Id.

    - #### public int HEX_CHAR

      RegularExpression Id.

    - #### public int HEX_ESC

      RegularExpression Id.

    - #### public int HEX_STATE

      Lexical state.

    - #### public int QUOTE

      RegularExpression Id.

    - #### public int SINGLE_QUOTE_LITERAL

      RegularExpression Id.

    - #### public int STRING_STATE

      Lexical state.

    - #### public int UNICODE_CHAR

      RegularExpression Id.

    - #### public java.lang.String[] tokenImage

      Literal token values.